=head1 NAME

Gtk2::Misc - wrapper for GtkMisc

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Misc



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 (xalign, yalign) = $misc-E<gt>B<get_alignment> 

=head2 $misc-E<gt>B<set_alignment> ($xalign, $yalign)

=over

=item * $xalign (double) 

=item * $yalign (double) 

=back

=head2 (xpad, ypad) = $misc-E<gt>B<get_padding> 

=head2 $misc-E<gt>B<set_padding> ($xpad, $ypad)

=over

=item * $xpad (integer) 

=item * $ypad (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'xalign' (float : default 0.5 : readable / writable / private / static-nick / static-blurb)

The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

=item 'xpad' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

The amount of space to add on the left and right of the widget, in pixels

=item 'yalign' (float : default 0.5 : readable / writable / private / static-nick / static-blurb)

The vertical alignment, from 0 (top) to 1 (bottom)

=item 'ypad' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

The amount of space to add on the top and bottom of the widget, in pixels

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

